org.apache.cassandra.metrics

## Class ConnectionMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.ConnectionMetrics

    public class ConnectionMetrics
    extends java.lang.Object

Metrics for `OutboundTcpConnectionPool`.

### Field Summary

Fields
`java.lang.String` `address`
`com.codahale.metrics.Gauge<java.lang.Long>` `gossipMessageCompletedTasks` Completed tasks for gossip message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Long>` `gossipMessageDroppedTasks` Dropped tasks for gossip message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Integer>` `gossipMessagePendingTasks` Pending tasks for gossip message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Long>` `largeMessageCompletedTasks` Completed tasks for large message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Long>` `largeMessageDroppedTasks` Dropped tasks for large message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Integer>` `largeMessagePendingTasks` Pending tasks for large message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Long>` `smallMessageCompletedTasks` Completed tasks for small message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Long>` `smallMessageDroppedTasks` Dropped tasks for small message TCP Connections
`com.codahale.metrics.Gauge<java.lang.Integer>` `smallMessagePendingTasks` Pending tasks for small message TCP Connections
`com.codahale.metrics.Meter` `timeouts` Number of timeouts for specific IP
`static com.codahale.metrics.Meter` `totalTimeouts` Total number of timeouts happened on this node
`static java.lang.String` `TYPE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionMetrics(java.net.InetAddress ip, OutboundTcpConnectionPool connectionPool)` Create metrics for given connection pool.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `release()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_NAME

    public static final java.lang.String TYPE_NAME

See Also:
  Constant Field Values

#### totalTimeouts

    public static final com.codahale.metrics.Meter totalTimeouts

Total number of timeouts happened on this node

#### address

    public final java.lang.String address

#### largeMessagePendingTasks

    public final com.codahale.metrics.Gauge<java.lang.Integer> largeMessagePendingTasks

Pending tasks for large message TCP Connections

#### largeMessageCompletedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> largeMessageCompletedTasks

Completed tasks for large message TCP Connections

#### largeMessageDroppedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> largeMessageDroppedTasks

Dropped tasks for large message TCP Connections

#### smallMessagePendingTasks

    public final com.codahale.metrics.Gauge<java.lang.Integer> smallMessagePendingTasks

Pending tasks for small message TCP Connections

#### smallMessageCompletedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> smallMessageCompletedTasks

Completed tasks for small message TCP Connections

#### smallMessageDroppedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> smallMessageDroppedTasks

Dropped tasks for small message TCP Connections

#### gossipMessagePendingTasks

    public final com.codahale.metrics.Gauge<java.lang.Integer> gossipMessagePendingTasks

Pending tasks for gossip message TCP Connections

#### gossipMessageCompletedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> gossipMessageCompletedTasks

Completed tasks for gossip message TCP Connections

#### gossipMessageDroppedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> gossipMessageDroppedTasks

Dropped tasks for gossip message TCP Connections

#### timeouts

    public final com.codahale.metrics.Meter timeouts

Number of timeouts for specific IP

### Constructor Detail

#### ConnectionMetrics

    public ConnectionMetrics(java.net.InetAddress ip,
                             OutboundTcpConnectionPool connectionPool)

Create metrics for given connection pool.

Parameters:
  `ip` - IP address to use for metrics label
  `connectionPool` - Connection pool

### Method Detail

#### release

    public void release()